Bug 1674101 - scipy-1.3.1 is available
Summary: scipy-1.3.1 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: scipy
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lumír Balhar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1711725 1712203 1718781 1732400
Blocks: python-pingouin
TreeView+ depends on / blocked
 
Reported: 2019-02-09 07:10 UTC by Upstream Release Monitoring
Modified: 2019-11-08 23:19 UTC (History)
6 users (show)

Fixed In Version: scipy-1.3.1-1.fc32
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-08 23:19:29 UTC


Attachments (Terms of Use)
[patch] Update to 1.3.1 (#1674101) (1017 bytes, patch)
2019-08-16 19:48 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2019-02-09 07:10:31 UTC
Latest upstream release: 1.2.1
Current version/release in rawhide: 1.2.0-1.fc30
URL: http://www.scipy.org/scipylib/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4768/

Comment 1 Upstream Release Monitoring 2019-04-27 10:51:53 UTC
Latest upstream release: 1.3.0rc1
Current version/release in rawhide: 1.2.1-2.fc31
URL: http://www.scipy.org/scipylib/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4768/

Comment 2 Upstream Release Monitoring 2019-05-09 20:04:14 UTC
Latest upstream release: 1.3.0rc2
Current version/release in rawhide: 1.2.1-2.fc31
URL: http://www.scipy.org/scipylib/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4768/

Comment 3 Upstream Release Monitoring 2019-05-18 02:04:29 UTC
Latest upstream release: 1.3.0
Current version/release in rawhide: 1.2.1-2.fc31
URL: http://www.scipy.org/scipylib/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4768/

Comment 4 Orion Poplawski 2019-05-19 23:41:06 UTC
1.3.0 drops support for Python 2, so we'll need to check on dependencies first.

Comment 5 Orion Poplawski 2019-05-20 01:04:04 UTC
Also seeing some segfaults in tests on some platforms: https://koji.fedoraproject.org/koji/taskinfo?taskID=34942727

Comment 6 Miro Hrončok 2019-05-20 08:47:19 UTC
Python dependents:

  ahkab
  gnuradio
  gr-air-modes
  python-Bottleneck
  python-pandas


I recommend doing this: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Process_for_abandoning_Python_2_subpackages

Comment 7 Orion Poplawski 2019-05-21 01:31:32 UTC
WIP: https://src.fedoraproject.org/rpms/scipy/pull-request/8

Comment 8 Orion Poplawski 2019-05-21 02:58:12 UTC
ahkab is orphaned, so perhaps we can retire that soon.

Looks like gnuradio is waiting on a 3.8 release for python3 support.

Bottleneck is only needed by pandas.

Comment 9 Miro Hrončok 2019-07-05 09:39:37 UTC
python2-Bottleneck is gone, now it's only gnuradio.

Any ETA for gnuradio 3.8?

$ repoquery --repo=compose{,-source} --whatrequires python2-scipy
gnuradio-0:3.7.13.5-2.fc31.i686
gnuradio-0:3.7.13.5-2.fc31.x86_64
gpaw-0:1.5.2-1.fc31.src
gr-air-modes-0:0-0.66.20160831git3bad1f5d.fc31.i686
gr-air-modes-0:0-0.66.20160831git3bad1f5d.fc31.src
gr-air-modes-0:0-0.66.20160831git3bad1f5d.fc31.x86_64


The gpaw one is bogus, going to fix it.

Comment 11 Miro Hrončok 2019-07-05 09:57:48 UTC
https://wiki.gnuradio.org/index.php/3.8

> GNU Radio version 3.8 is the next major release, with a planned release date of Fall 2019

Comment 12 Upstream Release Monitoring 2019-08-16 19:48:13 UTC
Latest upstream release: 1.3.1
Current version/release in rawhide: 1.2.1-5.fc31
URL: http://www.scipy.org/scipylib/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4768/

Comment 13 Upstream Release Monitoring 2019-08-16 19:48:21 UTC
Created attachment 1605012 [details]
[patch] Update to 1.3.1 (#1674101)

Comment 14 Upstream Release Monitoring 2019-08-16 20:56:10 UTC
the-new-hotness/release-monitoring.org@FEDORAPROJECT.ORG's scratch build of scipy-1.3.1-1.fc29.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=37083833


Note You need to log in before you can comment on or make changes to this bug.